App\Library\Amazon\Classes\SystemCabinet:
    xml_root_name: SystemCabinet
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            type: App\Library\Amazon\Classes\AdditionalFeatures
        airDuctLocation:
            expose: true
            access_type: public_method
            serialized_name: AirDuctLocation
            accessor:
                getter: getAirDuctLocation
                setter: setAirDuctLocation
            type: App\Library\Amazon\Classes\AirDuctLocation
        expansionSlots:
            expose: true
            access_type: public_method
            serialized_name: ExpansionSlots
            accessor:
                getter: getExpansionSlots
                setter: setExpansionSlots
            type: App\Library\Amazon\Classes\ExpansionSlots
        externalBayType:
            expose: true
            access_type: public_method
            serialized_name: ExternalBayType
            accessor:
                getter: getExternalBayType
                setter: setExternalBayType
            xml_list:
                inline: true
                entry_name: ExternalBayType
            type: array<App\Library\Amazon\Classes\ExternalBayType>
        hotswapBayType:
            expose: true
            access_type: public_method
            serialized_name: HotswapBayType
            accessor:
                getter: getHotswapBayType
                setter: setHotswapBayType
            xml_list:
                inline: true
                entry_name: HotswapBayType
            type: array<App\Library\Amazon\Classes\HotswapBayType>
        internalBayType:
            expose: true
            access_type: public_method
            serialized_name: InternalBayType
            accessor:
                getter: getInternalBayType
                setter: setInternalBayType
            xml_list:
                inline: true
                entry_name: InternalBayType
            type: array<App\Library\Amazon\Classes\InternalBayType>
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: App\Library\Amazon\Classes\MaterialType
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
        motherboardCompatibility:
            expose: true
            access_type: public_method
            serialized_name: MotherboardCompatibility
            accessor:
                getter: getMotherboardCompatibility
                setter: setMotherboardCompatibility
            type: App\Library\Amazon\Classes\MotherboardCompatibility
        panelWindowLocation:
            expose: true
            access_type: public_method
            serialized_name: PanelWindowLocation
            accessor:
                getter: getPanelWindowLocation
                setter: setPanelWindowLocation
            type: App\Library\Amazon\Classes\PanelWindowLocation
        powerSupplyMaxOutput:
            expose: true
            access_type: public_method
            serialized_name: PowerSupplyMaxOutput
            accessor:
                getter: getPowerSupplyMaxOutput
                setter: setPowerSupplyMaxOutput
            type: App\Library\Amazon\Classes\PowerSupplyMaxOutput
        powerSupplyMounting:
            expose: true
            access_type: public_method
            serialized_name: PowerSupplyMounting
            accessor:
                getter: getPowerSupplyMounting
                setter: setPowerSupplyMounting
            type: App\Library\Amazon\Classes\PowerSupplyMounting
        systemCabinetFormFactor:
            expose: true
            access_type: public_method
            serialized_name: SystemCabinetFormFactor
            accessor:
                getter: getSystemCabinetFormFactor
                setter: setSystemCabinetFormFactor
            type: App\Library\Amazon\Classes\SystemCabinetFormFactor
        totalFrontPanelAudioInPorts:
            expose: true
            access_type: public_method
            serialized_name: TotalFrontPanelAudioInPorts
            accessor:
                getter: getTotalFrontPanelAudioInPorts
                setter: setTotalFrontPanelAudioInPorts
            type: App\Library\Amazon\Classes\TotalFrontPanelAudioInPorts
        totalFrontPanelAudioOutPorts:
            expose: true
            access_type: public_method
            serialized_name: TotalFrontPanelAudioOutPorts
            accessor:
                getter: getTotalFrontPanelAudioOutPorts
                setter: setTotalFrontPanelAudioOutPorts
            type: App\Library\Amazon\Classes\TotalFrontPanelAudioOutPorts
        totalFrontPaneleSataPorts:
            expose: true
            access_type: public_method
            serialized_name: TotalFrontPaneleSataPorts
            accessor:
                getter: getTotalFrontPaneleSataPorts
                setter: setTotalFrontPaneleSataPorts
            type: App\Library\Amazon\Classes\TotalFrontPaneleSataPorts
        totalFrontPanelFirewire400Ports:
            expose: true
            access_type: public_method
            serialized_name: TotalFrontPanelFirewire400Ports
            accessor:
                getter: getTotalFrontPanelFirewire400Ports
                setter: setTotalFrontPanelFirewire400Ports
            type: App\Library\Amazon\Classes\TotalFrontPanelFirewire400Ports
        totalFrontPanelFirewire800Ports:
            expose: true
            access_type: public_method
            serialized_name: TotalFrontPanelFirewire800Ports
            accessor:
                getter: getTotalFrontPanelFirewire800Ports
                setter: setTotalFrontPanelFirewire800Ports
            type: App\Library\Amazon\Classes\TotalFrontPanelFirewire800Ports
        totalFrontPanelUSB10Ports:
            expose: true
            access_type: public_method
            serialized_name: TotalFrontPanelUSB1.0Ports
            accessor:
                getter: getTotalFrontPanelUSB10Ports
                setter: setTotalFrontPanelUSB10Ports
            type: App\Library\Amazon\Classes\TotalFrontPanelUSB10Ports
        totalFrontPanelUSB11Ports:
            expose: true
            access_type: public_method
            serialized_name: TotalFrontPanelUSB1.1Ports
            accessor:
                getter: getTotalFrontPanelUSB11Ports
                setter: setTotalFrontPanelUSB11Ports
            type: App\Library\Amazon\Classes\TotalFrontPanelUSB11Ports
        totalFrontPanelUSB20Ports:
            expose: true
            access_type: public_method
            serialized_name: TotalFrontPanelUSB2.0Ports
            accessor:
                getter: getTotalFrontPanelUSB20Ports
                setter: setTotalFrontPanelUSB20Ports
            type: App\Library\Amazon\Classes\TotalFrontPanelUSB20Ports
        totalFrontPanelUSB30Ports:
            expose: true
            access_type: public_method
            serialized_name: TotalFrontPanelUSB3.0Ports
            accessor:
                getter: getTotalFrontPanelUSB30Ports
                setter: setTotalFrontPanelUSB30Ports
            type: App\Library\Amazon\Classes\TotalFrontPanelUSB30Ports
        totalNumberOfExternalBays:
            expose: true
            access_type: public_method
            serialized_name: TotalNumberOfExternalBays
            accessor:
                getter: getTotalNumberOfExternalBays
                setter: setTotalNumberOfExternalBays
            type: App\Library\Amazon\Classes\TotalNumberOfExternalBays
        totalNumberOfHotswapBays:
            expose: true
            access_type: public_method
            serialized_name: TotalNumberOfHotswapBays
            accessor:
                getter: getTotalNumberOfHotswapBays
                setter: setTotalNumberOfHotswapBays
            type: App\Library\Amazon\Classes\TotalNumberOfHotswapBays
        totalNumberOfInternalBays:
            expose: true
            access_type: public_method
            serialized_name: TotalNumberOfInternalBays
            accessor:
                getter: getTotalNumberOfInternalBays
                setter: setTotalNumberOfInternalBays
            type: App\Library\Amazon\Classes\TotalNumberOfInternalBays
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: App\Library\Amazon\Classes\Voltage
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\Wattage
